--
-- PostgreSQL database dump
--

-- Dumped from database version 15beta1
-- Dumped by pg_dump version 15.1 (Debian 15.1-1.pgdg110+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: dayInfos; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."dayInfos" (
    categories jsonb DEFAULT '[]'::jsonb,
    "articleId" character varying(255),
    "articleDateKey" character varying(255),
    name character varying(500),
    brand character varying(500),
    "wbBrandId" character varying(255),
    "wbSiteBrandId" character varying(255),
    price real,
    sale real,
    "salePrice" real,
    "wbRating" real,
    "wbFeedbackCount" real,
    colors jsonb DEFAULT '[]'::jsonb,
    sizes jsonb DEFAULT '{}'::jsonb,
    additional jsonb DEFAULT '{}'::jsonb,
    positions jsonb DEFAULT '{}'::jsonb,
    created timestamp with time zone NOT NULL,
    updated timestamp with time zone NOT NULL,
    "isDeleted" boolean DEFAULT false,
    "daySalesCount" integer,
    "daySalesSum" integer,
    tags jsonb DEFAULT '[]'::jsonb,
    nomenclature integer,
    "lastParsed" timestamp with time zone,
    "wbSupplierId" bigint,
    id bigint DEFAULT nextval('public.seq'::regclass) NOT NULL
);
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN categories SET STORAGE EXTERNAL;
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN colors SET STORAGE EXTERNAL;
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN sizes SET STORAGE EXTERNAL;
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN additional SET STORAGE EXTERNAL;
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN positions SET STORAGE EXTERNAL;
ALTER TABLE ONLY public."dayInfos" ALTER COLUMN tags SET STORAGE EXTERNAL;


ALTER TABLE public."dayInfos" OWNER TO postgres;

--
-- Name: dayInfos dayInfos_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."dayInfos"
    ADD CONSTRAINT "dayInfos_pkey" PRIMARY KEY (id);
    
    
--
-- PostgreSQL database dump complete
--